RAID API
  1. Sync
  • DiveRAID frontend public API
    • Search divers
      POST
    • Search instructors
      POST
    • Search dive centers
      POST
    • Search dive centers by country
      GET
  • DiveRAID rest API V1
    • Auth
      • Register a new user
      • Login and receive JWT token
      • Send password reset email
      • Reset password using token
      • Logout and invalidate JWT token
      • Refresh JWT token
      • Verify email address (signed URL)
      • Resend email verification
    • Legacy Auth
      • Legacy login
      • Legacy register
      • Legacy logout
      • Legacy refresh token
      • Legacy reset password
    • Profile
      • Get authenticated user profile
      • Update profile
      • Delete account
      • Update password
      • Update dive center association
    • Diver
      • Courses
        • List active courses
        • List expired courses
        • Get course detail
        • Submit module quiz
        • Get quiz result
        • Submit course exam
        • Get exam result
        • Get skills progress
        • Sign skills (diver)
      • Free Learnings
        • List enrolled free learnings
        • List available free learning courses
        • Enroll in a free learning course
        • Get free learning detail
        • Submit free learning module quiz
        • Get free learning quiz result
      • Certifications
        • List diver certifications
        • Get certification history
        • Get certification quiz result
        • Get certification exam result
        • Get certification skills
      • Dive Logs
        • List dive logs (paginated)
        • Create dive log
        • Get dive log
        • Update dive log
      • Awards
        • List award cards
      • Documents
        • List diver documents
      • Forms
        • List diver forms
      • Medical
        • Get medical questionnaire structure
        • Submit medical questionnaire
      • Store
        • List courses available for purchase
        • Create Stripe payment intent for course
        • Confirm Stripe payment and activate course
        • Get order status
    • Professional
      • Students
        • List students
        • Get student progress
        • Get student quiz result
        • Get student exam result
        • Get student skills progress
        • Sign student skills
      • Certifications
        • List all professional certifications
        • List diver-level certifications
        • List specialty certifications
        • List professional certifications
        • List trainer certifications
        • List examiner certifications
        • Get certification history
        • Get certification quiz result
        • Get certification exam result
        • Get certification skills
      • Classroom
        • List classrooms
        • Get classroom progress (all students)
        • Get classroom student progress
        • Get classroom student quiz result
        • Get classroom student exam result
        • Get classroom student skills
        • Sign classroom student skills
      • Renewals
        • List renewal courses
        • Get renewal progress
        • Submit renewal module quiz
        • Get renewal quiz result
        • Submit renewal exam
        • Get renewal exam result
        • Get renewal skills progress
        • Sign renewal skills
      • Recognitions
        • List recognition courses
      • Dive Logs
        • List student dive logs for a course
        • Get student dive log
        • Sign student dive log
      • Store
        • Create payment intent for student course purchase
        • Confirm student course payment
    • Sync
      • Get sync status
        GET
      • Download full course data for offline use
        GET
      • Upload offline operations
        POST
    • Utility
      • List all countries
      • Get country data
      • Get country divisions (states/provinces)
      • List active dive centers
      • Get dive center details
    • Dive Center
      • Get Dive Center List
      • Get a Dive Center info
    • User
      • Certifications
        • Get User Certifications
        • Get User Certifications Diver
        • Get User Certifications Professional
        • Get Certification Card
      • Get User data
      • Update password
      • Update User Data
      • Update User Dive Center
    • Utilities
      • Get Country List
      • Get Country details
      • Get Country Divisions
  • Schemas
    • Frontend API Schema
      • DiverSearch
    • SuccessResponse
    • ErrorResponse
    • ValidationErrorResponse
    • TokenResponse
    • UserProfile
    • CourseLog
    • CourseLogDetail
    • QuizResult
    • ExamResult
    • SkillProgress
    • DiveLog
    • Certification
    • PaginatedDiveLogs
    • StoreItem
    • PaymentIntentResponse
    • OrderConfirmResponse
    • OrderStatusResponse
    • InstructorSearch
    • DiveCenterSearch
  1. Sync

Download full course data for offline use

Develop Env
https://diveraid.test
Develop Env
https://diveraid.test
GET
https://diveraid.test
/api/v1/sync/download
Sync
Maintainer:Not configured
Returns complete course content including modules, quiz questions, exam questions, and skill types. Correct answers are NOT included.

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://diveraid.test/api/v1/sync/download' \
--header 'Authorization: Bearer <token>'

Responses

🟢200
application/json
Success
Bodyapplication/json

Example
{
    "status": "success",
    "message": "string",
    "data": {
        "synced_at": "2019-08-24T14:15:22.123Z",
        "courses": [
            {
                "log_code": "string",
                "course": {
                    "id": 0,
                    "name": "string",
                    "code": "string",
                    "exam_pass_score": 0,
                    "exam_questions": 0
                },
                "expire_date": "2019-08-24",
                "modules": [
                    {}
                ],
                "exam": {},
                "skills": [
                    {}
                ]
            }
        ]
    }
}
🟠401
Modified at 2026-04-13 14:24:05
Previous
Get sync status
Next
Upload offline operations
Built with